<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [peek](./bitburner.ns.peek.md)

## NS.peek() method

Get a copy of the data from a port without popping it.

**Signature:**

```typescript
peek(portNumber: number): any;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

portNumber


</td><td>

number


</td><td>

Port to peek. Must be a positive integer.


</td></tr>
</tbody></table>

**Returns:**

any

Data in the specified port.

## Remarks

RAM cost: 0 GB

This function is used to peek at the data from a port. It returns the first element in the specified port without removing that element. If the port is empty, the string “NULL PORT DATA” will be returned. Ports are shared across all hosts and contents are reset on game restart.

